Subject: How about making a list FAQ? (was RE: enabling ssl for a subdirec tory of a vhost)

From: "Marco A. Zamora Cunningham" <[email-masked]>
Date: Tue, 13 Aug 2002 09:44:54 -0500

Great explanation, Owen. I'm keeping it for whenever somebody asks me --for
the upteenth time-- how to do it.

Which set me thinking: The top 20 questions, which take up a lot of traffic
on this list, are really about configuration tips & tricks, and are not
really covered in the www.modssl.org FAQ. Why don't we help Ralph by adding
them to the FAQ? It would help a lot if we do that, and include a link to it
on the subscription confirmation and the list sig.

Ralph, would that be OK with you? 

Off the top of my head, I can think of a few Q's that crop up on an 
almost daily basis:
	- How do I set a a pure-virtual SSL host? (You don't.)
	- Well, then how do I set up an SSL host? (A basic 20-line
	  config, specifying _default_:443 and specificserver:443 
	  VH's)
	- How do I force all or a part of my site to be served 
	  exclusively by SSL? (Redirects by core, mod_rewrite and/or
	  mod_proxy)
	- Compiling on different platforms. (This might be the most 
	  difficult part to keep up to date, but some quick ten-or-
	  twenty liners, culled from correct answers on the list might 
	  be enough.)
	- MSIE keepalive strangeness and bug workarounds (global and 
	  agent-specific cipher stuff)
	- How do I sign/self-sign my certificate? (That one's already
	  in the docs; maybe five-line quick answer?)
	- How do I set up an SSL->plain HTTP gateway, or vice versa?
	  (mod_proxy, maybe with help by mod_rewrite, other solutions 
	  such as stunnel)

¿Can anybody think of other high-traffic topics not on the existing FAQ? 

I would be able to help on this FAQ by the start of next month. Anybody else
want to chip in?

Cheers...			Marco Zamora

> -----Original Message-----
> From: Boyle Owen [mailto:[email-masked]]
> [...]
> >From: Justin Georgeson [mailto:[email-masked]]
> >
> >I have Apache 1.3.17 with mod_ssl. I'm not a real proficient apache 
>
> Congratulations, you've already done the hard part of 
> installing mod_ssl and getting it running with certs and so 
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]